Bug 70656 - clicking on the error message opens a wrong file
Summary: clicking on the error message opens a wrong file
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kdevelop   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-03 07:58 UTC by Need Real Name
Modified: 2007-04-18 16:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-26 15:31:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-08-03 07:58:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020724

Description of problem:
If the code has errors, clicking on the error message in the output window opens
a wrong file. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.use wizard to create a new project under ~/test
2.write a simple program named "hello.cpp"(see below), then copy the file to
~/test/test, which is the default dir of code in kdevelop.
3.delete a ";", making the code containing error.
4. build the project.
5. click on the error message.
	

Actual Results:  a warning dialog pop up complaining that it can't find
~/test/hello.cpp

Expected Results:  it open the file ~/test/test/hello.cpp and go to the line
containing the error.

Additional info:

The following is hello.cpp, which simply print "Hello World!".
---------------------------------------------------------------
#include <stdio.h>
int main()
{
  printf("Hello World!\n");
  return 0;
}

Comment 1 Need Real Name 2002-08-03 08:01:52 UTC
We can use a temporary way to solve the problem:
link the code file(*.c,*.cpp,*.h) in ~/test/test to ~/test.

Comment 2 Need Real Name 2002-10-13 10:47:06 UTC
This bug still exists in redhat 8.0

Comment 3 Ngo Than 2003-01-26 15:31:05 UTC
it's fixed in 2.1.5-1


Note You need to log in before you can comment on or make changes to this bug.